Subject: Re: More Cygwin 1.0 CD
From: John Fralinger <[email-masked]>
To: Steve Jorgensen <[email-masked]>, Mumit Khan <[email-masked]>
Cc: [email-masked]
Date: Thu, 11 Nov 1999 12:56:22 -0500

Mumit,
   I may be wrong about the header changes.  I just commented them out
and I still successfully compile.  For some reason I had previously
included <windows32/Base.h> but now the equivalent appears to be
<wtypes.h> and <winbase.h>

This is what I get from --dry-run

Warning: no export definition file provided
dllwrap will create one, but may not be what you want
dlltool  --dllname LocalPRTImp.dll --output-def
LocalPRTImp.def --add-stdcall-al
ias --exclude-symbol=DllMain@12 --output-def E:\Cygwin\/tmp/cc007534.def
LocalPR
TImp.o ./qm_clnt.o ./qm_xdr.o ../../share/lib/colorman.a
gcc -Wl,--base-file,E:\Cygwin\/tmp/cc007534.base -Wl,--dll -o
LocalPRTImp.dll -W
l,-e,_DllMain@12 -Wl,--image-base,0x6F000000
LocalPRTImp.o -Wl,-e,__cygwin_noncy
gwin_dll_entry@12 -s ./qm_clnt.o ./qm_xdr.o
../../share/lib/colorman.a -l_fileio
 -lidp -lfsys -ltiff -lrpclib -L../../share/lib
dlltool --base-file E:\Cygwin\/tmp/cc007534.base --output-exp
LocalPRTImp.exp  -
-dllname LocalPRTImp.dll --output-def
LocalPRTImp.def --add-stdcall-alias --excl
ude-symbol=DllMain@12 --def E:\Cygwin\/tmp/cc007534.def
gcc -Wl,--base-file,E:\Cygwin\/tmp/cc007534.base
LocalPRTImp.exp -Wl,--dll -o Lo
calPRTImp.dll -Wl,-e,_DllMain@12 -Wl,--image-base,0x6F000000
LocalPRTImp.o -Wl,-
e,__cygwin_noncygwin_dll_entry@12 -s ./qm_clnt.o ./qm_xdr.o
../../share/lib/colo
rman.a -l_fileio -lidp -lfsys -ltiff -lrpclib -L../../share/lib
dlltool --base-file E:\Cygwin\/tmp/cc007534.base --output-exp
LocalPRTImp.exp  -
-dllname LocalPRTImp.dll --output-def
LocalPRTImp.def --add-stdcall-alias --excl
ude-symbol=DllMain@12 --def E:\Cygwin\/tmp/cc007534.def
gcc LocalPRTImp.exp -Wl,--dll -o
LocalPRTImp.dll -Wl,-e,_DllMain@12 -Wl,--image-
base,0x6F000000 LocalPRTImp.o -Wl,-e,__cygwin_noncygwin_dll_entry@12 -s
./qm_cln
t.o ./qm_xdr.o
../../share/lib/colorman.a -l_fileio -lidp -lfsys -ltiff -lrpclib
 -L../../share/lib
sh -xc 'rmic pt.server.PrinterDataImpl '

----- Original Message -----
From: Mumit Khan <[email-masked]>
To: Steve Jorgensen <[email-masked]>
Cc: John Fralinger <[email-masked]>; <[email-masked]>
Sent: Thursday, November 11, 1999 12:13 PM
Subject: Re: More Cygwin 1.0 CD

> Steve Jorgensen <[email-masked]> writes:
> > > dllwrap fails with the following after wading through the header file
> > > name changes from B20.1 to 1.0.
>
> What header name changes? Please elaborate. I wasn't aware of user
> visible headers that have changed names.
>
> >
> > I've never gotten dllwrap or the gcc set of instructions for
> > creating DLL's to work under B20.1 or 1.0.. I just figured it
> > was yet another stupid artifact of windows dll's.. I'm using
> > a combination calls to nm, dlltool, and ld to create dll, which
> > seems to be working for me.  I can send you a perl script that
> > does the right sequence if you like.
>
> Please post. BTW, dllwrap does nothing more than your perl script, just
> that it handles a few defaults more intelligently.
>
>   $ dllwrap --dry-run [....]
>
> shows exactly what it's going to do. The -v option shows the actual
> invocations.
>
> Regards,
> Mumit
>
>
> --
> Want to unsubscribe from this list?
> Send a message to [email-masked]
>
>

--
Want to unsubscribe from this list?
Send a message to [email-masked]